#!/bin/sh
#
# ~/.xinitrc
#
# Executed by startx (run your window manager from here)

if [ -d /etc/X11/xinit/xinitrc.d ]; then
  for f in /etc/X11/xinit/xinitrc.d/*; do
    [ -x "$f" ] && . "$f"
  done
  unset f
fi

[[ -f ~/.Xresources ]] && xrdb -merge ~/.Xresources

# exec gnome-session
# exec startkde
# exec startxfce4
# ...or the Window Manager of your choice

#/usr/bin/xscreensaver -no-splash &
#export QT_STYLE_OVERRIDE='gtk2'

$HOME/.screenlayout/default.sh
# start pulseaudio in the background
if [ -x /usr/bin/pulseaudio ]; then
    /usr/bin/pulseaudio --start

    # Start MPD
    mpd ~/.config/mpd/mpd.conf
fi

# register pulseaudio
if [ -x /usr/bin/start-pulseaudio-x11 ]; then
    /usr/bin/start-pulseaudio-x11
    pacmd load-module module-switch-on-connect
fi

awesome
